/*
    Copyright 2009 Sebastian Kłęk, Piotr Domagala and Jakub Mielczarek
    This file is part of the Filtertool.

    Filtertool is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef _DATA_HANDLER_
#define _DATA_HANDLER_

#include <string>
using namespace std;

/*! \brief DataHandler: interface for further template class
  All functions are pure virtual, so there is no documentation for them.
  \sa DataOperations
  \author Sebastian Kłęk, Piotr Domagala and Jakub Mielczarek
 */
class DataHandler {
public:
	virtual ~DataHandler(){};
	virtual void swap(string str) = 0;
	virtual void parseFiles(string names)= 0;
	virtual void load() = 0;
	virtual void join() = 0;
	virtual void tab() = 0;
	virtual void col() = 0;
	virtual void merge() = 0;
	virtual void tol(double t) = 0;
	virtual void prec(int p) = 0;
	virtual void blanks(string arg) = 0;
	virtual void print(string arg) = 0;
	virtual void printOut() = 0;
	virtual void group(string arg) = 0;
	virtual void comments(string arg) = 0;
	virtual void calculate(string arg) = 0;
	virtual void setCommand(string comm) = 0;
	virtual void setFilter(string arg) = 0;
	virtual void setOutputFiles(string names) = 0;
};

#endif
